### Method

# Ide Buffer get_rename_provider

#### Declaration

    IdeRenameProvider*
    ide_buffer_get_rename_provider (
      IdeBuffer* self
    )

#### Description

Gets the `IdeRenameProvider` for this buffer, or `NULL`.

Available since: | 3.32

#### Return value

Returns: | `IdeRenameProvider`
| An `IdeRenameProvider` or `NULL` if there is no `IdeRenameProvider` that can statisfy the buffer.
| The data is owned by the instance.
| The return value can be `NULL`.